# -*- Mode: rpm-spec -*-
# 	$Id: kernel-2.4.spec,v 1.2 2001/04/05 20:07:18 chmou Exp $	

%define kkversion 2
%define kkpatchlevel 4
%define sublevel 3
%define krelease 20mdk

# If yeu have the need to touch any of this something is very wrong with our
# numbering scheme

%define srcversion %{kkversion}.%{kkpatchlevel}.%{sublevel}
%define kversion %{srcversion}
%define KVERREL %{kversion}-%{krelease}

%ifarch %{ix86}
%define kgcc 1
%endif
%ifarch alpha
%define kgcc 0
%endif

%define pcmciaver 3.1.25
%define alsaver 0.5.10b
%define acpiver 20010313
%define lm_sensorsver 2.5.5
%define ipsecver 1.9

Summary: The Linux kernel (the core of the Linux operating system).
Name: kernel
Version: %{kversion}
Release: %{krelease}
Copyright: GPL
Group: System/Kernel and hardware
ExclusiveArch: %{ix86} alpha sparc sparc64 ppc
ExclusiveOS: Linux

####################################################################
#
# Sources
#
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{srcversion}.tar.bz2
Source1: /anonymous@projects.sourceforge.net:/pub/pcmcia-cs/pcmcia-cs-%{pcmciaver}.tar.bz2
Source4: README.kernel-sources
Source6: ftp://download.intel.com/technology/IAPC/acpi/downloads/acpica-linux-%{acpiver}.tar.bz2
Source7: ftp://ftp.alsa-project.org/pub/driver/alsa-driver-%{alsaver}.tar.bz2
Source8: ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-%{ipsecver}.tar.bz2
Source9: http://www.lm-sensors.nu/archive/lm_sensors-%{lm_sensorsver}.tar.bz2

Source10: pcmcia-cs-2.8.8-network.script
Source13: rhkmvtag.c
Source14: kernel-2.4-BuildASM.sh
Source15: linux-mdkconfig.h
Source16: linux-merge-config.awk
Source17: linux-merge-modules.awk
Source18: boot_logo.ppm.bz2

Source20: kernel-%{kversion}-i586.config
Source21: kernel-%{kversion}-i586-enterprise.config
Source22: kernel-%{kversion}-alpha.config

####################################################################
#
# Patches
#

# Official patches
Patch0: ftp://ftp.kernel.org/pub/linux/kernel/people/alan/2.4/patch-2.4.3-ac4.bz2

# Add Crypto IP Encapsulation
Patch10: linux-2.4.2-ac28-cipe-1.4.5.patch.bz2
Patch12: linux-2.4.2-ac28-cipefix.patch.bz2

# Fix headers to don't be pollute when #include from user space tool
Patch11: kernel-2.4-string.patch.bz2

# Fix sparc vga
Patch14: linux-2.3.99p3p6-sparc.patch.bz2

# USEIO in eepro driver
Patch15: linux-2.2.16-useio.patch.bz2

# Fix qla driver
Patch17: linux-2.4.0-test5-qla1280-1.patch.bz2

# Fix alpha includes
Patch18: linux-2.4.2-ac20-alpha-include.patch.bz2

# Upgrade ide-floppy
Patch20: linux-2.4.2-ac20-ide-floppy.patch.bz2

# Upgrade to the last ipvs patch
Patch21: linux-2.4.2-ac20-ipvs.patch.bz2

# Fix ipvs compile
Patch22: linux-2.4.2-ac28-ipvs-compile-fix.patch.bz2

# Remove timer of the qla driver.
Patch23: linux-2.4.2-ac20-qla1280timer.patch.bz2

# Skip broken mp table for
Patch24: linux-2.4.2-ac20-brokenmptable.patch.bz2

# HP8200 CDWRITER driver
Patch25: linux-2.4.2-ac20-hp8200.patch.bz2

# Fix i2o lockup
Patch26: linux-2.4.2-ac20-i2o-lockup.patch.bz2

# Add IRC netfilter addon.
Patch27: linux-2.4.2-ac20-netfilter-addons.patch.bz2

# Move some printk to some LEVEL of errors.
Patch28: linux-2.4.2-ac20-pci-printk.patch.bz2

# Don't printk when	polling CDROMs for disk change
Patch29: linux-2.4.2-ac20-quiet-cdrom.patch.bz2

# Add scci reset support
Patch30: linux-2.4.2-ac20-scsi-reset.patch.bz2

# Up some pcmcia delay.
Patch31: linux-2.4.2-ac20-setup_delay.patch.bz2

# Adding a fix for usb-uhci to work when SLAB is not aligned
Patch32: linux-2.4.2-ac20-uhci-slab.patch.bz2
Patch43: linux-2.4.2-ac20-usb-uhci-slab.patch.bz2

# Add alternate airo devices drivers
Patch33: linux-2.4.2-ac20-alternateairo.patch.bz2

# Fix atp max units.
Patch34: linux-2.4.2-ac20-atpmaxunits.patch.bz2

# Add an iotcl to block sector for ia64.
Patch35: linux-2.4.2-ac20-blkioctl-sector.patch.bz2

# Fix ext2 info errors.
Patch37: linux-2.4.2-ac20-hexblocknumbers.patch.bz2

# Revert some bogus changes to lp-parport.
Patch39: linux-2.4.2-ac20-lp-parport-revert.patch.bz2

# Add multipath for raid.
Patch40: linux-2.4.2-ac20-multipath.patch.bz2
Patch41: linux-2.4.2-ac20-multipath-export.patch.bz2

# Fix pge Config.in description
Patch42: linux-2.4.2-ac20-pge.patch.bz2

# Add sard profiling patch
Patch44: linux-2.4.2-ac20-sard.patch.bz2

# PCMCIA patches
Patch150: pcmcia-cs-3.1.21-script.patch.bz2
Patch151: pcmcia-cs-3.1.3-3com.patch.bz2
Patch152: pcmcia-cs-3.1.21-config.patch.bz2
Patch153: pcmcia-cs-3.1.24-wireless.patch.bz2
Patch154: linux-2.4.0-pcmcia-3.1.23-cp-force.patch.bz2
Patch155: linux-2.4.3-ac3-gz-module.patch.bz2
Patch156: linux-2.4.3-ac3-pcmcia-rc-early.patch.bz2

###### Mandrake: (begin from 300) #################################
# compile with kgcc ifpresent
Patch301: linux-2.4.0-kgcc.chmou.patch.bz2

# Add supermount from: http://www.geocities.com/alexismikhailov/
Patch305: linux-2.4.3-ac4-supermount-0.5.3.patch.bz2
Patch306: linux-2.4.2-ac20-supermount-fixes.patch.bz2
Patch307: linux-2.4.3-ac4-supermount-no-update-rename.patch.bz2

# Make install use our features of our special installkernel
Patch320: linux-2.4.1-ac11-installkernel-a.patch.bz2

# Add upgrade of nfs for 2.4.0
Patch331: linux-2.4.0-ping.patch.bz2

# dc395 updates: http://www.garloff.de/kurt/linux/dc395/
Patch340: linux-2.4.1-ac3-dc395.patch.bz2

# dpt support.
Patch341: linux-2.4.2-ac20-dpt_update.patch.bz2

# 6.1.8 aic7xxx driver
Patch342: linux-2.4.3-q1-aic7xxx.patch.bz2

# Upgrade IPS to 4.50.
Patch344: linux-2.4.1-ac3-ips-4.50.patch.bz2

# Add e100 drivers from intel.
Patch345: linux-2.4.1-ac4-e100.patch.bz2

# Upgrade swap limit to 32.
Patch347: linux-2.4.1-ac3-upgrade-swap-limit.patch.bz2

# Upgrade qlogic drivers.
Patch348: linux-2.4.1-ac3-qla2x00-2.19.15.patch.bz2

# 3c90x drivers
Patch349: linux-2.4.1-ac4-3c90x.patch.bz2

# e1000 updates
Patch350: linux-2.4.1-ac4-e1000-3.0.1.patch.bz2

# e820 (ACPI) support
Patch351: linux-2.4.1-ac4-e820.patch.bz2

# For the two patches e100 and e1000
Patch352: linux-2.4.3-ac3-intelethernet-Makefile.patch.bz2

# Raid5xor
Patch356: linux-2.4.1-ac4-raid5xor.patch.bz2

# Accraid support
Patch358: linux-2.4.2-ac13-aacraid.patch.bz2

# Fix bad udelay with wavelan
Patch359: linux-2.4.1-ac4-wavelan-udelay.patch.bz2

# Fix modules with atyfb
Patch364: linux-2.4.2-ac16-aty-modules.patch.bz2

# Remove perm.h include file from isadump.c (alpha)
Patch399: linux-2.4.1-ac8-lmsensors_alpha.patch.bz2

# Libs are useless in this case compile it statically..
Patch400: linux-2.4.2-ac20-lm_sensors-statics.patch.bz2

# IPSEC config support
Patch401: linux-2.4.1-ac19-ipsec-config-1.8.patch.bz2

# Fix include with the symlinks mess
Patch402: linux-2.2.1-ac19-fix-ipsec-include.patch.bz2

# Fix compilation with last ac series
Patch403: linux-2.4.2-ac18-fixes.patch.bz2

# SuSe patches
# Make apm-poweroff as option not at compilte time option.
Patch410: linux-2.4.2-ac20-apm-poweroff.patch.bz2

# Add the TIOCGDEV ioctl
Patch411: linux-2.4.2-ac20-TIOCGDEV.patch.bz2

# Fix Config files with CONFIG_X86_RUNTIME_FXSR
Patch412: linux-2.4.2-ac20-FXSR_686.patch.bz2

# Fix ISDN kernel headers when inclued with userspace program.
Patch413: linux-2.4.2-ac20-isdn-config-fix.patch.bz2

# Add progress indication when decompressing ramdisk
Patch414: linux-2.4.2-ac20-rd-progress.patch.bz2

#Define tone control in emu10k1 mixer
Patch415: linux-2.4.2-ac20-emu10k1-mixer.patch.bz2

## New NFS patches from Neil Brown:
## http://www.cse.unsw.edu.au/~neilb/patches/linux/2.4.2-pre4/

# Relax nfs export rules for exporting children and parents
# Without this patch you cannot export a parent and a child
# on the same filesystem.
# With this patch you can as long as the parent has more restrictive
# options and the child does not have no_subtree_check
Patch450: linux-2.4.2-ac28-nfsexp.patch.bz2

# Change args of md_error to be mddev_t instead of kdev_t
# All callers of  md_error have an mddev_t, and that is what
# md_error really wants, so we nolonger convert to kdev_t and back.
Patch451: linux-2.4.2-ac28-mderror.patch.bz2

# Change raid resync code to work in sectors, not blocks
# If the blcoksize gets set to 512 bytes, raid resync will get badly confused. 
# This patch changes the base size to 512bytes to that things should work 
# properly for 512byte accesses - e.g. for XFS
Patch452: linux-2.4.2-ac28-sectorresync.patch.bz2

# Use sector number of b_blocknr is raid1 bufferes.
# This allows raid1 not to be confused if given a
# non-aligned IO request. (will be needed for partitioning)
Patch453: linux-2.4.2-ac28-r1blocknr.patch.bz2

# Bypass stripe cache for reads
# Previously, reads on a raid5 array would read into the stripe cache,
# and then copy into the buffer.  This appears to limit sequential
# read speed. 
# This patch bypasses the copy for read, at the cost of possibly having to
# read the data again if it is needed for parity calculations.
Patch454: linux-2.4.2-ac28-raid5readbypass.patch.bz2

# Second version of raid5 plugging.  Untested
Patch455: linux-2.4.2-ac28-r5plug.patch.bz2

# Second version of raid5 plugging.  Untested
# Make sure all raid5 IO requests are properly aligned.
# XFS, and LVM can make non-aligned requests (I think).
# These do not work with raid5 :-)
# This patch generates early warnings of problems.
Patch456: linux-2.4.2-ac28-r5align.patch.bz2

# Provide an "nfsd_operations" interface between knfsd and
# each filesystem.
# With this patch, you will not be able to export any
# filesystem except ext2fs, but then you couldn't reliably before anyway.
# For more about nfs, see my LinuxKnfsd page.
Patch457: linux-2.4.2-ac28-nfsdops.patch.bz2

# Add support for knfsd in reiserfs
# This is from Danilov Nikita, Chris Mason, and the reiserfs team
Patch458: linux-2.4.2-ac28-reisernfs.patch.bz2

# isofs support for nfsd_operations
# This allows isofs to be exported with knfsd.  Support is incomplete,
# but it is a good as Linux has ever provided before.
# i.e. it works until directories start getting thown out of cache, either
# be mem pressure or by reboot.
Patch459: linux-2.4.2-ac28-isofsnfs.patch.bz2

# knfsd support for ufs
# Make ufs compatabile with knfsd, adding get_parent routine,
# handling generation numbers, and disallowing iget on a deleted file. 
Patch460: linux-2.4.2-ac28-ufsnfs.patch.bz2

# nfsd support for efs
Patch461: linux-2.4.2-ac28-efsnfs.patch.bz2

# Provide call trace in /proc/X/status
# This patch, for i386 only, add some lines to /proc/pid/status which shows a 
# guess at the call trace for processes that are executing in the kernel.  This
# makes tracing deadlocks much easier.
Patch462: linux-2.4.2-ac28-calltrace.patch.bz2
# end neilb patches

# Quota support for Reiserfs
Patch470: linux-2.4.2-ac20-reiserfs-quota.patch.bz2

# Quickcam logteck usb: http://qce-ga.sourceforge.net/
Patch475: linux-2.4.2-ac28-usb-logitek-quickcam.patch.bz2

# Support for isdn olitec cards
Patch476: linux-2.4.3-isdn-olitec-gazel.patch.bz2

# Update wacom.c from Fred Lepied.
Patch480: linux-2.4.2-ac28-wacom-update.patch.bz2

# Add boot logo patches
Patch481: linux-2.4.3-mdk-bootlogo.patch.bz2
Patch488: linux-2.4.3-ac3-bootlogo-leave-message.patch.bz2
Patch489: linux-2.4.3-ac4-nologo.patch.bz2

# Update of olympic token ring card: http://www.linuxtr.net/download.html
Patch482: linux-2.4.3-olympic-update.patch.bz2

# Add MODULE_DEVICE_TABLE for USB detection.
Patch484: linux-2.4.3-usb-module_device_table.patch.bz2

# Fix smp race (ben lahaise)
Patch485: linux-2.4.3-smp-race.patch.bz2

# Fix PSAUX Waiting for port.
Patch486: linux-2.4.3-ac3-psaux-keyboard-wait.patch.bz2

# BTTV upgrade to 0.7.67.
Patch487: linux-2.4.3-ac3-bttv-0.7.62.patch.bz2

#488 489

# Firewire upgrade to latest cvs
Patch490: linux-2.4.3-ac3-firewire-update-040501.patch.bz2

# Revert 8139too change of ac4 as requested by jeff
Patch491: linux-2.4.3-ac4-8139too-revert.patch.bz2

# Fix compilation with rnfs nfsops when NFSD=n
Patch492: linux-2.4.3-ac4-rnfs-nfsops-compile-fix.patch.bz2

# Check Overflow (security fixes).
Patch501: linux-2.4.0-ac12-overflow.patch.bz2

# No debug for highmem.
Patch502: linux-2.4.0-ac12-nohighmemdebug.patch.bz2

# Fix cpp output for netfilter drivers
Patch503: linux-2.4.0-ac12-netfilter-cpp.patch.bz2

# http://homepages.paradise.net.nz/stevenel/tw98/index.html
Patch504: tw98_0.1.patch.bz2

# fix alpha build
Patch505: linux-2.4.0-ac18-alpha-array.patch.bz2

# fix an off by one error that results in memory overwrites
Patch506: linux-2.4.3-ac4-bootmem.patch.bz2

# Silence PS/2 code (no keyboard there if there is a USB keyboard)
Patch507: linux-2.4.3-ac4-keyboardsilence.patch.bz2

# Make drm error sysloged and not printkconsoled.
Patch508: linux-2.4.3-ac4-drm-silence.patch.bz2

# panic on oom during boot
Patch509: linux-2.4.3-ac4-bootmem_oom.patch.bz2

# Add mulipath-fixes from Ingo Molnar
Patch511: linux-2.4.3-ac4-multipath-fixes-2.patch.bz2

# make scanning of sparselun devices work again
Patch512: linux-2.4.3-ac4-scsi_scan.patch.bz2

# advice as Dangerous the ServerWorks OSB4 chipset
Patch514: linux-2.4.3-ac4-osb4.patch.bz2

# disabled dma66 for all via IDE chipsets to don't run in problems.
Patch515: linux-2.4.3-ac4-viadma66.patch.bz2

# Add USB message throttling
Patch516: linux-2.4.3-ac4-usbthrottle.patch.bz2

# fix printk in scsci messages
Patch517: linux-2.4.3-ac4-usb-scsiglue.patch.bz2

# Add ppptoe-pptoa patch for modem over ATM
Patch518: linux-2.4.3-ac4-ppptoe-ppptoa.patch.bz2

# Add USB speedtouch drivers.
Patch519: linux-2.4.3-ac4-speedtouch.patch.bz2

# Fix waste with dcache (aviro)
Patch520: linux-2.4.3-ac4-dcache-waste.patch.bz2

# Fix mounting usbdevfs with owner and gid number
Patch521: linux-2.4.3-ac4-usbdevfs-fix-mount-owner-gid.patch.bz2

#END
####################################################################

BuildRoot: %{_tmppath}/%{name}-%{kversion}-build
Provides: module-info, kernel = %{kversion}, alsa
Autoreqprov: no
Prereq: initscripts >= 5.61.1-4mdk, /usr/sbin/rdev
Requires: modutils >= 2.4.3-2mdk
Obsoletes: alsa, hackkernel
BuildRequires: libbinutils2-devel
BuildRequires: flex, db3-devel, bison, byacc
%if %{kgcc}
BuildRequires: egcs, egcs-cpp
%endif

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Linux Mandrake operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

#
# kernel-smp: Symmetric MultiProcessing kernel
#

%package smp
Summary: The Linux Kernel compiled for SMP machines.
Group: System/Kernel and hardware
Provides: kernel = %{kversion}, kernel-smp-fb, alsa
Obsoletes: kernel-smp-fb
Prereq: /sbin/installkernel, /usr/sbin/rdev
Requires: modutils >= 2.4.2

%description smp
This package includes a SMP version of the Linux %{kversion} kernel. It is
required only on machines with two or more CPUs, although it should work
fine on single-CPU boxes.

#
# kernel-smp: Symmetric MultiProcessing kernel
#

%package enterprise
Summary: The Linux Kernel compiled with options for Enterprise server usage.
Group: System/Kernel and hardware
Provides: kernel = %{kversion}, alsa
Prereq: /sbin/installkernel, /usr/sbin/rdev
Requires: modutils >= 2.4.2

%description enterprise
This package includes a kernel that has appropriate configuration options
enabled for the typical large enterprise server.  This includes SMP support
for multiple processor machines, support for large memory configurations
and other appropriate items.

%ifarch %{ix86}
# pcmcia-cs: PCMCIA support for 2.2 kernels - PCMCIA drivers are integrated
# into 2.3 series, so this package will eventually become obsolete
#
%package pcmcia-cs
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System/Kernel and hardware

%description pcmcia-cs
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are small
cards for everything from SCSI support to modems. PCMCIA cards are hot
swappable (i.e., they can be exchanged without rebooting the system) and
quite convenient to use. The kernel-pcmcia-cs package contains a set of
loadable kernel modules that implement an applications program interface,
a set of client drivers for specific cards and a card manager daemon that
can respond to card insertion and removal events by loading and unloading
drivers on demand.  The daemon also supports hot swapping, so that the
cards can be safely inserted and ejected at any time.

Install the kernel-pcmcia-cs package if your system uses PCMCIA cards.
%endif

%package source
Requires: kernel-headers = %{KVERREL}, glibc-devel, ncurses-devel, make, gcc
Summary: The source code for the Linux kernel.
Group: Development/Kernel
Obsoletes: alsa-source
Requires: egcs, egcs-cpp, flex, db3-devel, bison, byacc

%description source
The kernel-source package contains the source code files for the Linux
kernel. These source files are needed to build most C programs, since
they depend on the constants defined in the source code. The source
files can also be used to build a custom kernel that is better tuned to
your particular hardware, if you are so inclined (and you know what you're
doing).

%package headers
Summary: Header files for the Linux kernel. 
Group: Development/Kernel

%description headers
Kernel-headers includes the C header files for the Linux kernel.  The
header files define structures and constants that are needed for building
most standard programs.  The header files are also needed for rebuilding
the kernel.

##########################
# Miscellaneous packages #
##########################

%package -n lm_utils
Summary: Utilities for lm_sensors.
Group: System/Kernel and hardware
Version: %{kversion}_%{lm_sensorsver}
Url: http://www.lm-sensors.nu

%description -n lm_utils
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

#
# kernel-doc: documentation for the Linux kernel
#
%package doc
Summary: Various documentation bits found in the kernel source.
Group: Development/Kernel

%description doc
This package contains documentation files form the kernel source. Various
bits of information about the Linux kernel and the device drivers shipped
with it are documented in these files. You also might want install this
package if you need a reference to the options that can be passed to Linux
kernel modules at load time.

#
# End packages - here begins build stage
#
%prep
%setup -q -n linux -a 1 -a7 -a8 -a9
ln -sf pcmcia-cs-%{pcmciaver} pcmcia
ln -sf alsa-driver-%{alsaver} alsa

%patch -p1

# fix read-only permissions which break build
chmod -R +w pcmcia*

%patch10 -p1
%patch12 -p1

%patch11 -p1
%patch14 -p1
%patch15 -p1
%patch17 -p1

%patch18 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch37 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1

chmod +x arch/sparc*/kernel/check_asm.sh

# PCMCIA
%ifarch %{ix86}
cd pcmcia-cs-%{pcmciaver}
%patch150 -p1
%patch151 -p2
%patch152 -p2
%patch153 -p2
%patch154 -p2
%patch155 -p2
%patch156 -p2
cd ..
%else
rm -rf pcmcia-cs-%{pcmciaver}
%endif

%if %{kgcc}
# Compile with kgcc
%patch301 -p1
%endif

%patch305 -p1
%patch306 -p1
%patch307 -p1

%patch29 -p1

#installkernel-a
%patch320 -p1

%patch331 -p1

%patch340 -p1
%patch341 -p1
%patch342 -p1
%patch344 -p1
%patch345 -p1
%patch347 -p1
%patch348 -p1
%patch349 -p1
%patch350 -p1
%patch351 -p1
%patch352 -p1
%patch356 -p1
%patch358 -p1
%patch359 -p1

%ifarch alpha
%patch399 -p1
%endif    

#neil brown series patches
%patch450 -p1
%patch451 -p1
%patch452 -p1
%patch453 -p1
%patch454 -p1
%patch455 -p1
%patch456 -p1
%patch457 -p1
%patch458 -p1
%patch459 -p1
%patch460 -p1
%patch461 -p1
%patch462 -p1

# Quota disabled seems to make problems with rfs.
#%patch470 -p1

%patch475 -p1

%patch476 -p1

%patch480 -p1

%patch481 -p1
%patch488 -p1
%patch489 -p1

%patch482 -p1

%patch484 -p1

%patch485 -p1

%patch486 -p1

%patch487 -p1

%patch490 -p1

%patch491 -p1

%patch492 -p1

%patch410 -p1
%patch411 -p1
%patch412 -p1
%patch413 -p1
%patch414 -p1
%patch415 -p1

%patch501 -p1
%patch502 -p1
%patch503 -p1
%patch504 -p1
%patch364 -p1

# yes, we apply these to all arches -jgarzik
%patch505 -p1

%patch506 -p1
%patch507 -p1
%patch508 -p1
%patch509 -p1
%patch511 -p1
%patch512 -p1
%patch514 -p1
%patch515 -p1
%patch516 -p1
%patch517 -p1

%patch518 -p1
%patch519 -p1

%patch520 -p1

%patch521 -p1

ln -s freeswan-%{ipsecver} freeswan
ln -s ../freeswan-%{ipsecver}/klips/net/ipsec net/
ln -s ../../../lib net/ipsec/libfreeswan
ln -s ../../../zlib net/ipsec/
ln -s ../../../libdes net/ipsec/
ln -sf Makefile.kernel net/ipsec/libfreeswan/Makefile

%patch401 -p1
%patch402 -p1
%patch403 -p1

# Bring the Kernel Module Version Tag program
install -m644 %{SOURCE13} .

# Install bootlogo.
install -m644 %{SOURCE18} Documentation/

# make sure the kernel has the sublevel we know it has...
perl -p -i -e "s/^SUBLEVEL.*/SUBLEVEL = %{sublevel}/" Makefile

# fix lm_sensors patch
cd lm_sensors-%{lm_sensorsver}
%patch400 -p2
perl mkpatch/mkpatch.pl . ../ | patch -d ../ -p1 -E
cd ..

# get rid of unwanted files
find . -name '*~' -o -name '*.orig'|xargs rm -f

rm -f pcmcia alsa freeswan


###
### build
###


%build
%if %{kgcc}
%define KCC /usr/bin/kgcc
%else
%define KCC /usr/bin/gcc
%endif

EnableorDisable () {
    feature=$1
    type=$2
    file=$3

    grep -q $feature $file || { echo no $feature feature && return 1 ;}
    
    cp -f $file config.tmp
    if [ $type = "disable" ];then
	echo "Disabling option $feature"
	OPT="$feature" perl -e 'my $a = $ENV{'OPT'}; while (<>) {if (/^$a/) {print "# $a is not defined\n"; next;} print;}' \
	    < config.tmp > $file
    elif [ $type = "enable" ];then
	echo "Enabling option $feature"
	OPT="$feature" perl -e 'my $a = $ENV{'OPT'}; while (<>) {if (/^#\s+$a/ || /^$a=m/) {print "$a=y\n"; next;} print;}' \
	    < config.tmp > $file
    elif [ $type = "module" ];then
	echo "Moduralize option $feature"
	OPT="$feature" perl -e 'my $a = $ENV{'OPT'}; while (<>) {if (/^#\s+$a/ || /^$a=y/) {print "$a=m\n"; next;} print;}' \
	    < config.tmp > $file
    fi
    rm -f config.tmp
}

DependKernel() {
    # is this a special kernel we want to build?
    if [ -n "$2" ] ; then
	KernelVer=%{KVERREL}$2
	echo MAKE DEPEND FOR $2 $1 KERNEL...
    else
	KernelVer=%{KVERREL}
	echo MAKE DEPEND FOR up $1 KERNEL...
    fi
	make -s mrproper

    install -m644 $RPM_SOURCE_DIR/kernel-%{kversion}-$1.config arch/%{_arch}/defconfig
    rm -f .config
    if [ "$2" = "smp" ];then
	EnableorDisable CONFIG_SMP enable arch/%{_arch}/defconfig
	EnableorDisable CONFIG_FBCON_LOGO_BOOT disable arch/%{_arch}/defconfig
	elif [ "$2" = "enterprise" ];then
	install -m644 $RPM_SOURCE_DIR/kernel-2.4.3-%{_target_cpu}-enterprise.config arch/%{_arch}/defconfig
    else
	EnableorDisable CONFIG_SMP disable arch/%{_arch}/defconfig
	EnableorDisable CONFIG_FBCON_LOGO_BOOT enable arch/%{_arch}/defconfig
    fi
    # make sure EXTRAVERSION says what we want it to say
    perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}$2/" Makefile
    make oldconfig
    make dep
    make include/linux/version.h 
}

BuildKernel() {
    if [ -n "$1" ];then
	Config=%{_target_cpu}-$1
	KernelVer=%{KVERREL}$1
	DependKernel %{_target_cpu} $1
	echo BUILD A KERNEL FOR $1
    else
	Config=%{_target_cpu}
	KernelVer=%{KVERREL}
	DependKernel %{_target_cpu}
	echo BUILDING THE NORMAL KERNEL...
    fi
	
	%ifarch alpha
	make boot
	%endif    

	%ifarch %{ix86}
    %make bzImage
	%endif

    %make modules

    # first make sure we are not loosing any .ver files to make mrporper's
    # removal of zero sized files.
    find include/linux/modules -size 0 | while read file ; do \
	echo > $file
    done

    ## Start installing stuff
    mkdir -p %{buildroot}/boot
    install -m 644 System.map %{buildroot}/boot/System.map-$KernelVer
	install -m 644 arch/%{_arch}/defconfig %buildroot/boot/config-$KernelVer

    %ifarch alpha
    cp -f arch/alpha/boot/vmlinux.gz $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    %endif
    %ifarch %{ix86}
    cp -f arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
    %endif

    # modules
    mkdir -p %{buildroot}/lib/modules/$KernelVer
    make INSTALL_MOD_PATH=%{buildroot} modules_install KERNELRELEASE=$KernelVer
    
    #Identify the modules directory with the Module Version Tag
    cc $RPM_OPT_FLAGS -o rhkmvtag rhkmvtag.c init/version.o
    ./rhkmvtag > %buildroot/lib/modules/$KernelVer/.rhkmvtag
    rm -f rhkmvtag
}

BuildPCMCIA() {
    if [ -z "$1" ] ; then
	echo "BUILDING FOR NORMAL KERNEL..."
    else
	echo "BUILDING FOR $1..."
    fi
    make -C pcmcia-cs-%{pcmciaver} clean
    ( cd pcmcia-cs-%{pcmciaver}; ./Configure -n --kernel=$RPM_BUILD_DIR/linux \
	--cc=%{KCC} \
	--target=$RPM_BUILD_ROOT --trust --cardbus --nopnp --srctree \
	--moddir=/lib/modules/%{KVERREL}$1 --sysv --rcdir=/etc/rc.d )
    perl -pi -e 's|/usr/man|%{_mandir}|' pcmcia-cs-%{pcmciaver}/man/Makefile
    %make -C pcmcia-cs-%{pcmciaver} all
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$1/pcmcia
    make -C pcmcia-cs-%{pcmciaver} install
}

SaveHeaders() {
    echo "SAVING HEADERS for $1 $2"
    # deal with the kernel headers that are version specific
    mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1
    install -m 644 include/linux/autoconf.h \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/autoconf.h
    install -m 644 include/linux/version.h \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/version.h
    mv include/linux/modules \
	$RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/$2/$1/
    echo $2 $1 ../../savedheaders/$2/$1/ >> $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/savedheaders/list
}

BuildAlsa() {
	c=$1
	echo "Building for $c"

   	pushd alsa-driver-%{alsaver}  && {

	    [ -e Makefile.conf ] && make mrproper

	    CFLAGS=$FLAGS ./configure --with-kernel=$RPM_BUILD_DIR/linux \
		--with-moddir=$RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/alsa/ \
		--with-processor=%{_target_cpu} --with-smp=auto --without-isapnp --with-sequencer=yes \
		--with-oss=yes
	    
	    %make
	    
	    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/alsa/
		install -m644 modules/*.o $RPM_BUILD_ROOT/lib/modules/%{KVERREL}$c/alsa/
	} && popd
}

###
# DO it...
###

rm -rf $RPM_BUILD_ROOT
BuildKernel smp
%ifarch %{ix86}
BuildPCMCIA smp
%endif
BuildAlsa smp
SaveHeaders smp %{_target_cpu}

BuildKernel enterprise
%ifarch %{ix86}
BuildPCMCIA enterprise
%endif
BuildAlsa enterprise
SaveHeaders enterprise %{_target_cpu}

# NORMAL KERNEL
BuildKernel
%ifarch %{ix86}
BuildPCMCIA
%endif
BuildAlsa ""
SaveHeaders up %{_target_cpu}

# build lm
make -C lm_sensors-%{lm_sensorsver}/ \
    PREFIX=%{_prefix} LINUX=../ I2C_HEADERS=../include \
    COMPILE_KERNEL=0 ETCDIR=%{_sysconfdir} MANDIR=%{_mandir}


###
### install
###
%install

for i in $RPM_BUILD_ROOT/lib/modules/*; do
  rm -f $i/build $i/modules.dep $i/modules.pcimap
  ln -sf /usr/src/linux-%{kversion} $i/build
done

mkdir -p $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8}
install -d $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man{1,5,8}
install -d $RPM_BUILD_ROOT%{_libdir}

# install lm
install -m755 lm_sensors-%{lm_sensorsver}/prog/sensors/sensors $RPM_BUILD_ROOT%{_bindir}/
install -m755 lm_sensors-%{lm_sensorsver}/prog/detect/sensors-detect $RPM_BUILD_ROOT%{_sbindir}/
install -m644 lm_sensors-%{lm_sensorsver}/etc/sensors.conf.eg $RPM_BUILD_ROOT%{_sysconfdir}/sensors.conf
install -m644 lm_sensors-%{lm_sensorsver}/prog/sensors/sensors.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m644 lm_sensors-%{lm_sensorsver}/lib/sensors.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install -m644 lm_sensors-%{lm_sensorsver}/lib/libsensors.a $RPM_BUILD_ROOT%{_libdir}/
install -m644 lm_sensors-%{lm_sensorsver}/lib/libsensors.so.1.1.1 $RPM_BUILD_ROOT%{_libdir}/
ln -sf libsensors.so.1.1.1 $RPM_BUILD_ROOT%{_libdir}/libsensors.so.1
ln -sf libsensors.so.1.1.1 $RPM_BUILD_ROOT%{_libdir}/libsensors.so

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion} 

%ifarch %{ix86}
mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
# Install our own network up/down script
install -m755 $RPM_SOURCE_DIR/pcmcia-cs-2.8.8-network.script \
        $RPM_BUILD_ROOT/etc/pcmcia/network

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=do_scan=0
CORE_OPTS=
CARDMGR_OPTS=-f
EOF

# Finally strip some binaries
for file in cardmgr cardctl probe scsi_info ftl_format ftl_check ; do
    strip -R .comment $RPM_BUILD_ROOT/sbin/$file
done
%endif

mkdir -p $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
tar cf - . | tar xf - -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
ln -sf linux-%{kversion} $RPM_BUILD_ROOT/usr/src/linux
install -m 644 %{SOURCE4}  $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

%ifarch sparc
ln -s ../src/linux/include/asm-sparc $RPM_BUILD_ROOT/usr/include/asm-sparc
ln -s ../src/linux/include/asm-sparc64 $RPM_BUILD_ROOT/usr/include/asm-sparc64
mkdir $RPM_BUILD_ROOT/usr/include/asm
cp -a $RPM_SOURCE_DIR/kernel-2.4-BuildASM.sh $RPM_BUILD_ROOT/usr/src/linux/include/asm-sparc/BuildASM
$RPM_BUILD_ROOT/usr/include/asm-sparc/BuildASM $RPM_BUILD_ROOT/usr/include
%else
ln -sf ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm
%endif

#clean up the destination
%ifarch %{ix86}
make clean -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}
rm -f %buildroot/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}/config.out
%endif
make -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/alsa-driver-%{alsaver} mrproper
for i in ainstr_gf1.h  ainstr_iw.h  ainstr_simple.h  asequencer.h  asound.h  asoundid.h;do 
		cp -f $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/alsa-driver-%{alsaver}/include/$i \
				$RPM_BUILD_ROOT/usr/src/linux/include/linux/
done
rm -f %buildroot/usr/src/linux-%{kversion}/alsa-driver-%{alsaver}/include/config.h
rm -f %buildroot/usr/src/linux-%{kversion}/drivers/scsi/aic7xxx/aicasm/aicasm
rm -f %buildroot/usr/src/linux-%{kversion}/scripts/ppmtolinuxlogo

#clean up the destination
make -s mrproper -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
cp $RPM_BUILD_ROOT/boot/config-%{KVERREL} $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/.config
make -s oldconfig -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make -s symlinks -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
make -s include/linux/version.h -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}

#this generates modversions info which we want to include and we may as
#well include the depends stuff as well, after we fix the paths
make -s depend -C $RPM_BUILD_ROOT/usr/src/linux-%{kversion}
find $RPM_BUILD_ROOT/usr/src/linux-%{kversion} -name ".*depend" | \
while read file ; do
    mv $file $file.old
    sed -e "s|[^ ]*\(/usr/src/linux\)|\1|g" < $file.old > $file
    rm -f $file.old
done

# Try to put some smarter autoconf.h and version.h files in place
pushd $RPM_BUILD_ROOT/usr/src/linux-%{kversion}/include/linux ; {
rm -rf modules modversions.h autoconf.h version.h
cat > modversions.h <<EOF
#ifndef _LINUX_MODVERSIONS_H
#define _LINUX_MODVERSIONS_H
#include <linux/rhconfig.h>
#include <linux/modsetver.h>
EOF
echo '#include <linux/rhconfig.h>' > autoconf.h
list=`find ../../savedheaders/*/*/modules/*.ver -exec basename '{}' \; | sort -u`
mkdir modules
for l in $list; do
    sed 's,$,modules/'$l, ../../savedheaders/list | awk -f %{SOURCE17} > modules/$l
    touch -r modules/$l modules/`basename $l .ver`.stamp
    echo '#include <linux/modules/'$l'>' >> modversions.h
done
echo '#endif' >> modversions.h
sed 's,$,autoconf.h,' ../../savedheaders/list | awk -f %{SOURCE16} >> autoconf.h
install -m 644 %{SOURCE15} rhconfig.h
echo "#include <linux/rhconfig.h>" >> version.h
keyword=if
for i in smp enterprise up; do
    if [ -f ../../savedheaders/%{_target_cpu}/$i/version.h ]; then
	if [ "$i" = up ]; then
	    echo "#else" >> version.h
	else
	    echo "#$keyword defined(__module__$i)" >> version.h
	    keyword=elif
	fi
	grep UTS_RELEASE ../../savedheaders/%{_target_cpu}/$i/version.h >> version.h
    fi
done
echo "#endif" >> version.h
grep -v UTS_RELEASE ../../savedheaders/%{_target_cpu}/up/version.h >> version.h
rm -rf ../../savedheaders
} ; popd
echo "#if 0" > $RPM_BUILD_ROOT/boot/kernel.h-%{kversion}

rm -f $RPM_BUILD_ROOT/usr/include/linux
mkdir -p $RPM_BUILD_ROOT/usr/include/linux
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/linux/* $RPM_BUILD_ROOT/usr/include/linux/
rm -rf $RPM_BUILD_ROOT/usr/include/linux/modules
echo "#error Modules should never use kernel-headers system headers," > $RPM_BUILD_ROOT/usr/include/linux/modversions.h
echo "#error but headers from an appropriate kernel-source" >> $RPM_BUILD_ROOT/usr/include/linux/modversions.h

%ifarch sparc
rm -f $RPM_BUILD_ROOT/usr/include/asm-sparc
mkdir -p $RPM_BUILD_ROOT/usr/include/asm-sparc
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/asm-sparc/* $RPM_BUILD_ROOT/usr/include/asm-sparc/
rm -f $RPM_BUILD_ROOT/usr/include/asm-sparc64
mkdir -p $RPM_BUILD_ROOT/usr/include/asm-sparc64
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/asm-sparc64/* $RPM_BUILD_ROOT/usr/include/asm-sparc64/
%else
rm -f $RPM_BUILD_ROOT/usr/include/asm
mkdir -p $RPM_BUILD_ROOT/usr/include/asm
cp -a $RPM_BUILD_ROOT/usr/src/linux/include/asm/* $RPM_BUILD_ROOT/usr/include/asm/
%endif

echo GZIPPING Modules
find %buildroot/lib/modules/ -name '*.o'|xargs gzip -9fv

###
### clean
###

%clean
rm -rf $RPM_BUILD_ROOT

###
### scripts
###

# do this for upgrades...in case the old modules get removed we have
# loopback in the kernel so that mkinitrd will work.
%preun
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}/modules.*
exit 0

%preun smp
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}smp/modules.*
exit 0

%preun enterprise
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}enterprise/modules.*
exit 0

%ifnos linux
%preun secure
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}secure/modules.*
exit 0
%endif

%post
cd /boot
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}
fi
depmod -a -F /boot/System.map-%{KVERREL} %{KVERREL}

%postun
cd /boot
if [ -f initrd-%{KVERREL}.img ];then
		rm -f initrd-%{KVERREL}.img
fi

if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		if [[ "$CLASS" = "beginner" ]];then
				/sbin/installkernel -a -R -c %{KVERREL}
		fi
fi

%post smp
cd /boot
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}smp
fi
depmod -a -F /boot/System.map-%{KVERREL}smp %{KVERREL}smp

%postun smp
cd /boot
if [ -f initrd-%{KVERREL}smp.img ];then
		rm -f initrd-%{KVERREL}smp.img
fi
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		if [[ "$CLASS" = "beginner" ]];then
				/sbin/installkernel -a -R -c %{KVERREL}smp
		fi
fi

%post enterprise
cd /boot
ln -sf config-%{KVERREL}enterprise config
if [ -x /sbin/installkernel ];then
	      /sbin/installkernel -a -c %{KVERREL}enterprise
fi
depmod -a -F /boot/System.map-%{KVERREL}enterprise %{KVERREL}enterprise

%postun enterprise
cd /boot
if [ -f initrd-%{KVERREL}enterprise.img ];then
		rm -f initrd-%{KVERREL}enterprise.img
fi
if [ -f /etc/sysconfig/system ];then
		source /etc/sysconfig/system
		if [[ "$CLASS" = "beginner" ]];then
				/sbin/installkernel -a -R -c %{KVERREL}enterprise
		fi
fi


%pre headers
[ -L /usr/include/linux ] && rm -f /usr/include/linux
[ -L /usr/include/asm ] && rm -f /usr/include/asm
exit 0

%post headers
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
/sbin/service kheader start 2>/dev/null >/dev/null || :
exit 0

%postun headers
if [ $1 = 0 ];then
    if [ -L /boot/kernel.h -a `ls -l /boot/kernel.h 2>/dev/null| awk '{ print $11 }'` = "kernel.h-%{kversion}" ]; then
		rm -f /boot/kernel.h
    fi
fi
exit 0

# Old kernel-headers packages owned include symlinks; new
# ones just make them so that we can have multiple kernel-headers
# packages installed.
%triggerpostun headers -- kernel-headers < 2.2.16
cd /boot
rm -f kernel.h
ln -snf kernel.h-%{kversion} kernel.h
exit 0

%post source
cd /usr/src
rm -f linux
ln -snf linux-%{kversion} linux
/sbin/service kheader start 2>/dev/null >/dev/null || :

%postun source
if [ -L /usr/src/linux ]; then 
    if [ -L /usr/src/linux -a `ls -l /usr/src/linux 2>/dev/null| awk '{ print $11 }'` = "linux-%{kversion}" ]; then
	[ $1 = 0 ] && rm -f /usr/src/linux
    fi
fi
exit 0

%ifarch %{ix86}
%post pcmcia-cs
/sbin/chkconfig --add pcmcia

%preun pcmcia-cs
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi

%endif

###
### file lists
###

%files
%defattr(-,root,root)
/boot/config-%{KVERREL}
/boot/vmlinuz-%{KVERREL}
/boot/System.map-%{KVERREL}
/lib/modules/%{KVERREL}/kernel
/lib/modules/%{KVERREL}/build
%ifarch %{ix86}
/lib/modules/%{KVERREL}/pcmcia
%endif
/lib/modules/%{KVERREL}/alsa

%files -n lm_utils
%defattr(-,root,root)
%doc lm_sensors-%{lm_sensorsver}/BACKGROUND
%doc lm_sensors-%{lm_sensorsver}/BUGS
%doc lm_sensors-%{lm_sensorsver}/CHANGES
%doc lm_sensors-%{lm_sensorsver}/CONTRIBUTORS
%doc lm_sensors-%{lm_sensorsver}/INSTALL
%doc lm_sensors-%{lm_sensorsver}/README
%doc lm_sensors-%{lm_sensorsver}/TODO
%doc lm_sensors-%{lm_sensorsver}/doc
%config(noreplace) %{_sysconfdir}/sensors.conf
%{_bindir}/sensors
%{_sbindir}/sensors-detect
%{_mandir}/man1/sensors.1*
%{_mandir}/man5/sensors.conf.5*

%files smp
%defattr(-,root,root)
/boot/config-%{KVERREL}smp
/boot/vmlinuz-%{KVERREL}smp
/boot/System.map-%{KVERREL}smp
/lib/modules/%{KVERREL}smp/kernel
/lib/modules/%{KVERREL}smp/build
%ifarch %{ix86}
/lib/modules/%{KVERREL}smp/pcmcia
%endif
/lib/modules/%{KVERREL}smp/alsa

%files enterprise
%defattr(-,root,root)
/boot/config-%{KVERREL}enterprise
/boot/vmlinuz-%{KVERREL}enterprise
/boot/System.map-%{KVERREL}enterprise
/lib/modules/%{KVERREL}enterprise/kernel
/lib/modules/%{KVERREL}enterprise/build
%ifarch %{ix86}
/lib/modules/%{KVERREL}enterprise/pcmcia
%endif
/lib/modules/%{KVERREL}enterprise/alsa

%files source
%defattr(-,root,root)
%dir /usr/src/linux-%{kversion}
/usr/src/linux-%{kversion}/.config
/usr/src/linux-%{kversion}/COPYING
/usr/src/linux-%{kversion}/CREDITS
/usr/src/linux-%{kversion}/Documentation
/usr/src/linux-%{kversion}/MAINTAINERS
/usr/src/linux-%{kversion}/Makefile
/usr/src/linux-%{kversion}/README
/usr/src/linux-%{kversion}/REPORTING-BUGS
/usr/src/linux-%{kversion}/Rules.make
/usr/src/linux-%{kversion}/arch/%{_arch}
/usr/src/linux-%{kversion}/drivers
/usr/src/linux-%{kversion}/fs
/usr/src/linux-%{kversion}/init
/usr/src/linux-%{kversion}/ipc
/usr/src/linux-%{kversion}/kernel
/usr/src/linux-%{kversion}/lib
/usr/src/linux-%{kversion}/mm
/usr/src/linux-%{kversion}/net
/usr/src/linux-%{kversion}/scripts
/usr/src/linux-%{kversion}/freeswan-%{ipsecver}
%ifarch %{ix86}
/usr/src/linux-%{kversion}/pcmcia-cs-%{pcmciaver}
%endif
/usr/src/linux-%{kversion}/alsa-driver-%{alsaver}
/usr/src/linux-%{kversion}/include/asm-%{_arch}
/usr/src/linux-%{kversion}/include/asm
/usr/src/linux-%{kversion}/include/asm-generic
/usr/src/linux-%{kversion}/include/linux
/usr/src/linux-%{kversion}/include/net
/usr/src/linux-%{kversion}/include/scsi
/usr/src/linux-%{kversion}/include/video
/usr/src/linux-%{kversion}/include/pcmcia

%files headers
%defattr(-,root,root)
/usr/include/linux
/usr/include/asm
%ifarch sparc
/usr/include/asm-sparc
/usr/include/asm-sparc64
%endif
/boot/kernel.h-%{kversion}


%files doc
%defattr(-,root,root)
%doc Documentation/*

%ifarch %{ix86}
%files pcmcia-cs
%defattr(-,root,root)
%doc linux/pcmcia-cs-%{pcmciaver}/doc/PCMCIA-HOWTO 
%doc linux/pcmcia-cs-%{pcmciaver}/doc/PCMCIA-PROG
%doc linux/pcmcia-cs-%{pcmciaver}/SUPPORTED.CARDS 
%doc linux/pcmcia-cs-%{pcmciaver}/CHANGES 
%doc linux/pcmcia-cs-%{pcmciaver}/COPYING 
%doc linux/pcmcia-cs-%{pcmciaver}/README
%attr(755,root,root) /sbin/cardctl
/sbin/cardmgr
/sbin/ftl_check
/sbin/ftl_format
/sbin/ifport
/sbin/ifuser
/sbin/pcinitrd
/sbin/probe
/sbin/scsi_info
%{_mandir}/man[45]/*
%{_mandir}/man8/[a-c]*
%{_mandir}/man8/dump_cis.8*
%{_mandir}/man8/[e-j]*
%{_mandir}/man8/[l-z]*
%config(noreplace) /etc/rc.d/init.d/pcmcia
%config(noreplace) /etc/sysconfig/pcmcia
%dir /etc/pcmcia
%config(noreplace) /etc/pcmcia/config
%config(noreplace) /etc/pcmcia/ftl
%config(noreplace) /etc/pcmcia/ide
%config(noreplace) /etc/pcmcia/memory
%config(noreplace) /etc/pcmcia/network
%config(noreplace) /etc/pcmcia/scsi
%config(noreplace) /etc/pcmcia/serial
%config(noreplace) /etc/pcmcia/shared
%config(noreplace) /etc/pcmcia/cis
%config(noreplace) /etc/pcmcia/config.opts
%config(noreplace) /etc/pcmcia/ftl.opts
%config(noreplace) /etc/pcmcia/ide.opts
%config(noreplace) /etc/pcmcia/memory.opts
%config(noreplace) /etc/pcmcia/scsi.opts
%config(noreplace) /etc/pcmcia/serial.opts
%endif

%changelog
* Sun Apr 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-20mdk
- Make supermount handle new FS_SINGLE type of filesystem.
- Make supermount works with rename files.
- Rework nologo patch to be active only when CONFIG_FB is set.

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-19mdk
- usbdevfs, fix mount with owner and gid.

* Fri Apr 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-18mdk
- Add ppptoe-pptoa patch for modem over ATM (matt).
- Add USB speedtouch drivers. (matt).
- Remove natsemi patch it's already fixed in an other form.
- Really apply the aic7xx upgrade.

* Thu Apr 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-17mdk
- Disable my netdebug patches since it doen't do anything.
- Disable CONFIG_APM_DISPLAY_BLANK.
- Fix compilation with rnfs nfsops when NFSD=n
- CONFIG_DEBUG_BUGVERBOSE is off.
- Merge with rh patches:
- fix an off by one error that results in memory overwrites
- Silence PS/2 code (no keyboard there if there is a USB keyboard)
- Make drm error sysloged and not printkconsoled.
- panic on oom during boot
- fix netgear fa31x boards powerstate
- Add mulipath-fixes from Ingo Molnar
- make scanning of sparselun devices work again
- advice as Dangerous the ServerWorks OSB4 chipset
- disabled dma66 for all via IDE chipsets to don't run in problems.
- Add USB message throttling
- fix printk in scsci messages

* Wed Apr 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-16mdk
- Don't do any link creation installkernel does it for us.
- Dependences of up at the last end of dependences system.

* Wed Apr 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-15mdk
- Add special enterprise kernel with 64Gb support Apic etc...
- Really make active ATM modules.

* Tue Apr 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-14mdk
- Redo complete dependences configuration to be able to recompile
  drivers between kernel (mainly inspired by the Red Hat work).
- Revert to -ac3 the 8139too as request by jeff.
- Don't depend on any ppm files.
- 2.4.3-ac4.
- Active ATM.
- iostat incremental no need anymore (by default in 99)

* Tue Apr 10 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.3-13mdk
- Add Ingo's ext2 corruption fix.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-12mdk
- Upgrade to the latest cvs of firewire to get it works.

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-11mdk
- fix pcmcia again :p.
- fix kgcc call (prumph).

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-10mdk
- Add ln -sf /boot/config-version to /boot/config in %post.
- When inserting pcmcia module don't insmod module.o or module.o.gz
  just insmod module.
- Add option nologo to disable the logo display at boot.
- Launch pcmcia scrpt early before the network.

* Sat Apr  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-9mdk
- Fix logo in high resolution and leave some boot kernel message.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-8mdk
- bttv upgrade to 0.7.62.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-7mdk
- 2.4.3-ac3.
- Fix wait on psaux port (prumph).

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-6mdk
- Fix a SMP race (Ben Lahaise).
- Add MODULE_DEVICE_TABLE in some USB modules for USB detection (prumph).
- Add .config in /boot/config-version
- IPSEC-1.9.

* Thu Apr  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-5mdk
- Disable NETDEBUG.
- set CONFIG_IPV6_EUI64 CONFIG_IPV6_NO_PB

* Tue Apr  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-4mdk
- Upgrade of olympus token ring card.
- Provides Alsa also for kernel-smp.
- Add new mdk boot logo (and boot logo patches).
- Don't do SMP by default.
- CONFIG_LP_CONSOLE broke printer and useless disable it.
- Disable IP_AUTOCONFIGURATION (useless and slow the boot).
- Define CONFIG_PIIX_TUNING.
- Make IDEFLOPPY into the kernel and not as modules.
- Unactive CMS_FS filesystem (too beta).
- Active CONFIG_NCPFS_PACKET_SIGNING and CONFIG_NCPFS_STRONG.

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-3mdk
- Add support for gazel hisax R753 (Mattias).
- Remove %doc README to avoid conflicts when doing rpm -i

* Mon Apr  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-2mdk
- Add logiteck quickcam usb drivers.

* Mon Apr  2 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3.
- 2.4.3-q1 (aka 2.4.3-ac1 if Juan Quintela were Alan Cox).
- Updated to aic7xxx 6.1.8.
- Hacking the numbering to have to hack "only one place".

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-25mdk
- Reiserfs Quota disabled seems to make problems with rfs.

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-24mdk
- Merge latest neil brown patches.

* Sun Apr  1 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-23mdk
- Upgrade alpha config files (stefen).
- kernel-ource and BuildRequires: byacc.
- Update wacom usb drivers from fredl.
- Merge Red Hat patches.
- Fix alpha includes.
- Fix qla driver.
- Upgrade ide-floppy
- Upgrade to the latest ipvs patch
- Remove timer of the qla driver
- Skip broken mp table
- HP8200 CDWRITER driver
- Fix i2o lockup
- Add IRC netfilter addon.
- Move some printk to some LEVEL of errors.
- Don't printk when	polling CDROMs for disk change
- Add scci reset support
- Up some pcmcia delay.
- Adding a fix for usb-uhci to work when SLAB is not aligned
- Add alternate airo devices drivers
- Fix atp max units.
- Add an iotcl to block sector for ia64.
- Fix ext2 info errors.
- define DK_MAX_MAJOR to 64
- Revert some bogus changes to lp-parport.
- Add multipath for raid.
- Fix pge Config.in description
- Add sard profiling patch

* Thu Mar 29 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-22mdk
- Updated to ac28

* Thu Mar 29 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-21mdk
- Updated to ac25^H6^H7.
- Removed linux-2.4.1-ac3-es1371-new-ids.patch.bz2.

* Wed Mar 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-20mdk
- Define tone control in emu10k1 mixer.
- Fixes supermount to ally ejecting -EBUSY device.


* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-19mdk
- Active Bigmem by default.
- Apply/adapt quota patch for reiserfs.
- Merge Suse Patches.
- Add progress indication when decompressing ramdisk
- Fix Config files with CONFIG_X86_RUNTIME_FXSR
- Add TIOCGDEV ioctl
- Make APM_REAL_MODE_POWER_OFF as option (at boot) not at compilte
  time option.

* Sun Mar 18 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-18mdk
- Fix overwite of Alpha fix patch from 2.4.2-15mdk.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-17mdk
- Requires last initscripts.
- Add options -r to installkernel (to clean entry) if we are in
  beginner mode in /etc/sysconfig/system.

* Fri Mar 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-16mdk
- Make lm_sensors don't depend of libs.
- Upgrade dpt-i20 drivers (Viet).

* Wed Mar 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-15mdk
- Apply a fix to filesystem corruption in VIA chipsets.

* Wed Mar 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-14mdk
- The never released version

* Tue Mar 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-13mdk
- 2.4.2-ac20.
- Add wireless-pcmcia patch from rh.
- Fix pcmcia when modules is gzipped.
- Don't be SMP by default.

* Mon Mar 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-12mdk
- Update alpha config (jeff).
- 2.4.2-ac19.
- Pcmcia-3.1.25.
- Readd ipsec.

* Sun Mar 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-11mdk
- update alpha config
- fix alpha build

* Sun Mar 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-10mdk
- Remove aicasm binary generated.
- Remove initrd.img after uninstalling package.
- 2.4.2-ac18.

* Fri Mar  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-9mdk
- Fix atyfb as modules.
- (Build)Requires: flex, db3-devel, bison for kernel-source.
- Requires: modutils last version that support gz modules.
- 2.4.2-ac16.

* Thu Mar  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-8mdk
- Gzip modules.
- Fix pcmcia and aacraid..
- Upgrade to the last aacraid (and fix it ac13 among all others scsci
  patches).
- 2.4.2-ac14.
- Don't set IO-APCI on non SMP kernel (break PIV for example).

* Mon Mar 05 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-7mdk
- Making sure that non-SMP kernels are not SMP.
- Alan Cox patch 2.4.2-ac11-fixed.
- Spec cleanup.
- .config cleanup:
- Use APIC also now on uniprocessor.
- 	use E820.

* Wed Mar 03 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-6mdk
- Merged last neil patches.

* Wed Mar 03 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.2-5mdk
- Alan Cox patch 2.4.2-ac10.
- SPEC cleanup.
- New megaraid patch is ac kernel.

* Wed Feb 28 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-4mdk
- Alan Cox patch 2.4.2-ac6.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-3mdk
- Alan Cox patch 2.4.2-ac5.
- Temporarily disable usb scanner update, patch breaks.
- Update i586 and alpha configs for new ac patch.

* Mon Feb 26 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-2mdk
- Fix sublevel.

* Sun Feb 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.2-1mdk
- Linux 2.4.2 release.
- Alan Cox patch 2.4.2-ac4.
- Update x86 and alpha configs.
- Remove loop fixes, already in newest 'ac' kernel.
- Temporarily disable ide-floppy, patch breaks.
- Temporarily disable ipsec, patch breaks.

* Wed Feb 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-22mdk
- 2.4.1-ac20.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-21mdk
- Add ipsec 20001115 snapshot version (for 2.4.x kernel we need a snap).
- alsa-0.5.10b.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-20mdk
- Add fixes from Red Hat for the loop problems.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-19mdk
- Add support for COMET accton cards in tulip drivers (Jeff).
- Merge Neil-Brown nfs patches :
- Do permission checking for IRIX accessing special devices properly.
- Provide an "nfsd_operations" interface between knfsd and each filesystem.
- Add support for knfsd in reiserfs.
- isofs support for nfsd_operations.
- knfsd support for ufs.
- nfsd support for efs.
- Change raid resync code to work in sectors, not blocks.
- Make sure all raid5 IO requests are properly aligned.
- Modify the wdelay handling.
- Bypass stripe cache for reads.
- Disable the reboot notifier.
- Provide call trace in /proc/X/status.
- Use sector number of b_blocknr is raid1 bufferes.
- Return slightly more meaningful geometry for raid arrays.
- Change args of md_error to be mddev_t instead of kdev_t.

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-18mdk
- 2.4.1-ac19.

* Sun Feb 18 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-17mdk
- 2.4.1-ac18
- updated alpha .config

* Sat Feb 17 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-16mdk
- 2.4.1-ac17.
- requires egcs and egcs-cpp to build the kernel source (due to
  problems with gcc-2.96).

* Fri Feb 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-15mdk
- 2.4.1-ac15.

* Thu Feb 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-14mdk
- 2.4.1-ac13.

* Wed Feb 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.1-13mdk
- Removes ksymoops from the kernel package
- Comment wvlan patch as we are not using kernel pcmcia
- Fix modutils version check

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-12mdk
- 2.4.1-ac12.

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-11mdk
- 2.4.1-ac11.

* Tue Feb 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-10mdk
- 2.4.1-ac10.
- Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	* added TechWell TW98 i2c driver support, patch 504.

* Sat Feb 10 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-9mdk
- 2.4.1-ac8
- add patch for lm_sensors prob with perm.h (alpha)

* Fri Feb  9 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.4.1-8mdk
- 2.4.1-ac7
- moved patch 362 into the pcmcia section

* Thu Feb  8 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.1-7mdk
- update alpha config

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-6mdk
- 2.4.1-ac6.

* Wed Feb  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-5mdk
- make oldconfig && make dep before shipping kernel-source.
- Upgrade loop patch from jens axboe.
- Add alternatives Lucen Wavelan wireless support.
- Fix bad udelay with wavelan.
- Add aacraid drivers.
- Raid force to use SSE xor block to be able to write around L2.
- Fix assertion of kiobuf to map to user.
- Fix IRDA assertion.
- Add e810 Acpi proc information (not activated by default since we
  don't use ACPI).
- Add e1000 drivers.
- Upgrade e100 drivers.
- Desactive Devfs.
- Add 3c90x drivers.
- 2.4.1-ac4.
- pcmcia-3.1.24.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-4mdk
- Upgrade qlogic drivers to 2.19.15.
- Upgrade swap limit to 32.
- Upgrade megaraid drivers.
- Add intel100 network drivers.
- Upgrade ips.
- Upgrade idetape.
- Add new ids for es1371 cards.
- Add dpt_i2o support.
- Add dc395 update.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-3mdk
- 2.4.1-ac3.

* Mon Feb  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-2mdk
- fix the version field.

* Mon Feb 05 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-1mdk.
- 2.4.1-ac2.

* Sun Jan 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-12mdk
- Add loop fixes from jens axboe.
- Add patch from rh (emu10k1 fixes, overflow check, noghighmemdebug,
  netfilter cpp fixes).

* Sat Jan 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-11mdk
- Update alpha config

* Sat Jan 27 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-10mdk
- 2.4.0-ac12.

* Thu Jan 25 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-9mdk
- Make pcmcia config files as noreplace.
- Upgrade ide-floppy for ac11 (author).
- Really apply LVM fixes.

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-8mdk
- LVM proc fixes from andrea

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-7mdk
- Alsa-0.5.10b.
- Remove reiserfs-utils.
- 2.4.0-ac11.

* Tue Jan 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-6mdk
- Add upgrade of ide-floppy drivers.
- Add rivatv lm_sensors support (oden).
- Add lm_sensors package in the source (and generate the patch from
  package) (oden)
- really integrating ksymoops-2.4.0 (oden.eriksson@kvikkjokk.net).
- Upgrade usb scanner.
- Remove all modules.*
- Add NFSv3 Patches.

* Mon Jan 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-5mdk
- Upgrade smctr from ac series to get the bad_udelay symbol fixed.
- Supermount upgrade.

* Fri Jan 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-4mdk
- Reorganise spec files.
- ksymoops-2.4.0.

* Fri Jan 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-3mdk
- Update alpha config

* Tue Jan  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-2mdk
- Pcmcia-3.1.23.
- Alsa-0.5.10a.

* Tue Jan 09 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0
- Reiserf 3.6.25

* Wed Dec 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.15mdk
- Don't be SMP by default (jeff don't do titi-ries :p).
- Reiserfs-3.6.23.
- Reactive Reiserfs since i got it worked with supermount.

* Thu Dec 14 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-0.14mdk
- update .configs for i586 and alpha

* Tue Dec 12 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.4.0-0.13mdk
- 2.4.0-test12-final
- build on alpha
- 2.4.x does not require dev86

* Sat Dec  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.12mdk
- Add patches to fix initrd from aviro/linus.

* Fri Dec  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.11mdk
- Add support for Alpha from Jeff Garzik <jgarzik@mandrakesoft.com>
  and Stefan.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.10mdk
- Make installkernel doing a -a when doing make install of sources.
- Disable pcilynx until get it fixed.
- alsa-0.5.10.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.9mdk
- test12-pre7.

* Wed Dec  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.8mdk
- test12-pre6.
- Upgraded description.
- Disable reiserfs until get updated writepage patch (fix supermount
  BTW: but it's an another problem).

* Tue Dec  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.7mdk
- Add reiserfs (&bigmem unset).
- test12-pre5.

* Mon Dec  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.6mdk
- Really add pcmcia includes.
- Remove /home/chmou references.
- test12-pre3.
- Add supermount.
- Really remove devfsd depends.

* Sun Nov 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.5mdk
- Regenerates lm_sensors patches from cvs (112200).
- Include include/pcmcia in the source (thnks: C.Gennerat).
- remove devfsd dependences.

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.4mdk
- BuildRequires: egcs if enabling kgcc.
- Don't copy all configs file from RPM_SOURCES_DIR to configs/ copy
  one and the generated one.
- set CONFIG_BLK_DEV_OFFBOARD.
- unset CONFIG_INET_ECN.
- Don't update acpi (doen't build at the moment).
- test11(final).

* Sun Nov 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.3mdk
- copy the default mandrake config to defconfig before shipping.
- Remove patch200 (include with ksymoops2.3.5.)
- ksmoops 2.3.5.
- Last acpi.

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.2mdk
- mrproper the source before shipping.
- fix depmod.
- don't strip the vmlinuz.

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-0.1mdk
- First version to move on kernel-2.4.0 based on hackkernel. (aka: god
  pray for all of us).
